Search Help Topics:

The TaxAct online products require the latest version of Chrome, Firefox, Microsoft Edge, or version 13 or higher of Safari.  TaxAct desktop products require Windows 8 or higher.  Go to our TaxAct System Requirements webpage for details.


Was this helpful to you?